org.apache.sysds.runtime.compress.readers

## Class ReaderColumnSelection

- java.lang.Object
- - org.apache.sysds.runtime.compress.readers.ReaderColumnSelection

- Direct Known Subclasses:
    ReaderColumnSelectionBitSet, ReaderColumnSelectionDenseMultiBlock, ReaderColumnSelectionDenseMultiBlockTransposed, ReaderColumnSelectionDenseSingleBlock, ReaderColumnSelectionDenseSingleBlockTransposed, ReaderColumnSelectionSparse, ReaderColumnSelectionSparseTransposed, ReaderCompressedSelection

      public abstract class ReaderColumnSelection
      extends Object

  Base class for all column selection readers.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReaderColumnSelection` | `createCompressedReader(CompressedMatrixBlock compBlock, int[] colIndices)`
    `static ReaderColumnSelection` | `createReader(MatrixBlock rawBlock, int[] colIndices, boolean transposed)`
    `int` | `getCurrentRowIndex()`
    `DblArray` | `nextRow()` Gets the next row, null when no more rows.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nextRow

          public DblArray nextRow()

      Gets the next row, null when no more rows.
      Returns:
        next row

    - #### getCurrentRowIndex

          public int getCurrentRowIndex()

    - #### createReader

          public static ReaderColumnSelection createReader(MatrixBlock rawBlock,
                                                           int[] colIndices,
                                                           boolean transposed)

    - #### createCompressedReader

          public static ReaderColumnSelection createCompressedReader(CompressedMatrixBlock compBlock,
                                                                     int[] colIndices)

Copyright © 2021 The Apache Software Foundation. All rights reserved.